> ## Documentation Index
> Fetch the complete documentation index at: https://developers.autocaption.io/llms.txt
> Use this file to discover all available pages before exploring further.

# GET signed url to upload

> Returns a unique file identifier, a URL, and fields required for uploading a file to S3.



## OpenAPI

````yaml get /signedUrl
openapi: 3.0.1
info:
  title: AutoCaption API
  description: >-
    An API to use AutoCaption's services for video transcription and video
    generation with captions.
  license:
    name: MIT
  version: 1.0.0
servers:
  - url: https://api.autocaption.io/v1
security:
  - ApiKeyAuth: []
paths:
  /signedUrl:
    get:
      summary: GET signed url to upload
      description: >-
        Returns a unique file identifier, a URL, and fields required for
        uploading a file to S3.
      parameters:
        - name: file
          in: query
          description: The name of the file to be uploaded.
          required: true
          style: form
          explode: true
          schema:
            type: string
      responses:
        '200':
          description: >-
            A map of fields needed to upload the file, including the pre-signed
            URL.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/v1_upload_response_200'
components:
  schemas:
    v1_upload_response_200:
      required:
        - fields
        - file
        - url
      type: object
      properties:
        file:
          type: string
          description: The unique identifier for the file, used as the file name in S3.
        url:
          type: string
          description: The URL of the S3 bucket to which the file should be uploaded.
        fields:
          type: object
          properties:
            key:
              type: string
            bucket:
              type: string
            X-Amz-Algorithm:
              type: string
            X-Amz-Credential:
              type: string
            X-Amz-Date:
              type: string
            Policy:
              type: string
            X-Amz-Signature:
              type: string
          description: A map containing all the fields required for the upload server.
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: x-api-key

````